package tanks;

import java.text.DecimalFormat;
import java.text.Format;

public class Tank {

    private String brand;
    private String model;
    private int weight;
    private int barrelCaliber;
    private int armor;

    public Tank(String brand, String model, int weight, int barrelCaliber, int armor) {
        this.brand = brand;
        this.model = model;
        this.weight = weight;
        this.barrelCaliber = barrelCaliber;
        this.armor = armor;
    }

    public String getBrand() {
        return brand;
    }

    public String getModel() {
        return model;
    }

    public int getWeight() {
        return weight;
    }

    public int getBarrelCaliber() {
        return barrelCaliber;
    }


    public int getArmor() {
        return armor;
    }

    @Override
    public String toString() {

        return "Brand: " + brand +
                ", Model: " + model +
                ", Weight: " + weight + "kg" +
                ", Barrel caliber: " + barrelCaliber + "mm" +
                ", Armor: " + armor + "mm"
                ;
    }
}
